<!DOCTYPE html>
<html lang="en">
    <head>
	<meta name="generator" content="Hugo 0.90.0-DEV" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="robots" content="noodp" />
        <title>AB Engineering Blog</title><meta name="description" content="AlphaBravo Engineering Blog"><meta property="og:title" content="AB Engineering Blog" />
<meta property="og:description" content="AlphaBravo Engineering Blog" />
<meta property="og:type" content="website" />
<meta property="og:url" content="https://blog.alphabravo.io/" />

<meta name="twitter:card" content="summary"/>
<meta name="twitter:title" content="AB Engineering Blog"/>
<meta name="twitter:description" content="AlphaBravo Engineering Blog"/>
<meta name="application-name" content="AB Engineering Blog">
<meta name="apple-mobile-web-app-title" content="AB Engineering Blog"><link rel="shortcut icon" type="image/x-icon" href="/favicon.ico" />
        <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png"><link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png"><link rel="manifest" href="/site.webmanifest"><link rel="canonical" href="https://blog.alphabravo.io/" /><link rel="alternate" href="/index.xml" type="application/rss+xml" title="AB Engineering Blog">
    <link rel="feed" href="/index.xml" type="application/rss+xml" title="AB Engineering Blog"><link rel="stylesheet" href="/css/home.min.css"><script type="application/ld+json">
    {
        "@context": "http://schema.org",
        "@type": "WebSite",
        "url": "https:\/\/blog.alphabravo.io\/","inLanguage": "en","description": "AlphaBravo Engineering Blog","image": "https:\/\/blog.alphabravo.io\/assets\/ab-seo-large.png","thumbnailUrl": "https:\/\/blog.alphabravo.io\/assets\/ab-seo-small.png","name": "AB Engineering Blog"
    }
    </script></head><body data-header-desktop="auto" data-header-mobile="auto"><script>(window.localStorage && localStorage.getItem('theme') ? localStorage.getItem('theme') === 'dark' : ('' === 'auto' ? window.matchMedia('(prefers-color-scheme: dark)').matches : '' === 'dark')) && document.body.setAttribute('theme', 'dark');</script>

        <div id="mask"></div><div class="wrapper"><header class="desktop" id="header-desktop">
    <div class="header-wrapper">
        <div class="header-title">
            <a href="/" title="AB Engineering Blog"><img
        class="lazyload logo"
        src="/svg/loading.min.svg"
        data-src="/assets/alphabravo-logoonly-outline1.png"
        data-srcset="/assets/alphabravo-logoonly-outline1.png, /assets/alphabravo-logoonly-outline1.png 1.5x, /assets/alphabravo-logoonly-outline1.png 2x"
        data-sizes="auto"
        alt="/assets/alphabravo-logoonly-outline1.png"
        title="/assets/alphabravo-logoonly-outline1.png" /><span id="id-1" class="typeit"></span></a>
        </div>
        <div class="menu">
            <div class="menu-inner"><a class="menu-item active" href="/" title="Blog Homepage"> Home </a><a class="menu-item" href="https://alphabravo.io" title="AlphaBravo Website" rel="noopener noreffer" target="_blank"> AB Website </a><a class="menu-item" href="/posts/"> Posts </a><a class="menu-item" href="https://github.com/AlphaBravoCompany" rel="noopener noreffer" target="_blank"><i class='fab fa-github fa-fw'></i>  </a><a class="menu-item" href="https://linkedin.com/company/alphabravogov/" rel="noopener noreffer" target="_blank"><i class='fab fa-linkedin fa-fw'></i>  </a><span class="menu-item delimiter"></span><span class="menu-item search" id="search-desktop">
                        <input type="text" placeholder="Search" id="search-input-desktop">
                        <a href="#" class="search-button search-toggle" id="search-toggle-desktop" title="Search">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <a href="#" class="search-button search-clear" id="search-clear-desktop" title="Clear">
                            <i class="fas fa-times-circle fa-fw"></i>
                        </a>
                        <span class="search-button search-loading" id="search-loading-desktop">
                            <i class="fas fa-spinner fa-fw fa-spin"></i>
                        </span>
                    </span><a class="menu-item" href="/index.xml" title="RSS"><i class="fas fa-rss fa-fw" title="RSS"></i> </a><a href="javascript:void(0);" class="menu-item theme-switch" title="Switch Theme">
                    <i class="fas fa-adjust fa-fw"></i>
                </a>
            </div>
        </div>
    </div>
</header><header class="mobile" id="header-mobile">
    <div class="header-container">
        <div class="header-wrapper">
            <div class="header-title">
                <a href="/" title="AB Engineering Blog"><img
        class="lazyload logo"
        src="/svg/loading.min.svg"
        data-src="/assets/alphabravo-logoonly-outline1.png"
        data-srcset="/assets/alphabravo-logoonly-outline1.png, /assets/alphabravo-logoonly-outline1.png 1.5x, /assets/alphabravo-logoonly-outline1.png 2x"
        data-sizes="auto"
        alt="/assets/alphabravo-logoonly-outline1.png"
        title="/assets/alphabravo-logoonly-outline1.png" /><span id="id-2" class="typeit"></span></a>
            </div>
            <div class="menu-toggle" id="menu-toggle-mobile">
                <span></span><span></span><span></span>
            </div>
        </div>
        <div class="menu" id="menu-mobile"><div class="search-wrapper">
                    <div class="search mobile" id="search-mobile">
                        <input type="text" placeholder="Search" id="search-input-mobile">
                        <a href="#" class="search-button search-toggle" id="search-toggle-mobile" title="Search">
                            <i class="fas fa-search fa-fw"></i>
                        </a>
                        <a href="#" class="search-button search-clear" id="search-clear-mobile" title="Clear">
                            <i class="fas fa-times-circle fa-fw"></i>
                        </a>
                        <span class="search-button search-loading" id="search-loading-mobile">
                            <i class="fas fa-spinner fa-fw fa-spin"></i>
                        </span>
                    </div>
                    <a href="#" class="search-cancel" id="search-cancel-mobile">
                        Cancel
                    </a>
                </div><a class="menu-item" href="/" title="Blog Homepage">Home</a><a class="menu-item" href="https://alphabravo.io" title="AlphaBravo Website" rel="noopener noreffer" target="_blank">AB Website</a><a class="menu-item" href="/posts/" title="">Posts</a><a class="menu-item" href="https://github.com/AlphaBravoCompany" title="" rel="noopener noreffer" target="_blank"><i class='fab fa-github fa-fw'></i></a><a class="menu-item" href="https://linkedin.com/company/alphabravogov/" title="" rel="noopener noreffer" target="_blank"><i class='fab fa-linkedin fa-fw'></i></a><div class="menu-item"><a href="/index.xml" title="RSS"><i class="fas fa-rss fa-fw" title="RSS"></i> </a>
                <span>&nbsp;|&nbsp;</span><a href="javascript:void(0);" class="theme-switch" title="Switch Theme">
                    <i class="fas fa-adjust fa-fw"></i>
                </a>
            </div></div>
    </div>
</header><div class="search-dropdown desktop">
    <div id="search-dropdown-desktop"></div>
</div>
<div class="search-dropdown mobile">
    <div id="search-dropdown-mobile"></div>
</div><main class="main">
                <div class="container"><div class="page home" data-home="posts"><div class="home-profile"><div class="links"><a href="https://github.com/alphabravocompany" title="GitHub" target="_blank" rel="noopener noreffer me"><i class="fab fa-github-alt fa-fw"></i></a><a href="https://linkedin.com/company/alphabravogov/" title="LinkedIn" target="_blank" rel="noopener noreffer me"><i class="fab fa-linkedin fa-fw"></i></a><a href="https://twitter.com/alphabravogov" title="Twitter" target="_blank" rel="noopener noreffer me"><i class="fab fa-twitter fa-fw"></i></a><a href="https://hub.docker.com/u/alphabravocompany" title="DockerHub" target="_blank" rel="noopener noreffer me"><i data-svg-src="/lib/simple-icons/icons/docker.min.svg"></i></a><a href="mailto:info@alphabravo.io" title="Email" rel=" me"><i class="far fa-envelope fa-fw"></i></a></div></div>
<div class="summary-card"><article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/bulk-delete-clouflare-dns/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/2021/12/bulk-delete-cf-full.png"
        data-srcset="/assets/2021/12/bulk-delete-cf-full.png, /assets/2021/12/bulk-delete-cf-full.png 1.5x, /assets/2021/12/bulk-delete-cf-full.png 2x"
        data-sizes="auto"
        alt="/assets/2021/12/bulk-delete-cf-full.png"
        title="Cloudflare doesn&#39;t let you bulk delete in the UI. In this blog, we show you how to use Python script to bulk delete DNS records in Cloudflare." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/bulk-delete-clouflare-dns/">Bulk Delete Cloudflare DNS Records</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>Mike 'MJ' Johnson</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-12-23">2021-12-23</time></span></div><a class="content" href="/posts/2021/bulk-delete-clouflare-dns/">Cloudflare doesn't let you bulk delete in the UI. In this blog, we show you how to use Python script to bulk delete DNS records in Cloudflare.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/cloudflare/">cloudflare</a></li><li><a href="/tags/dns/">dns</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/zero-to-hero-working-with-multiple-kubeconfig/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/2021/12/multiple-kubeconfig-full.png"
        data-srcset="/assets/2021/12/multiple-kubeconfig-full.png, /assets/2021/12/multiple-kubeconfig-full.png 1.5x, /assets/2021/12/multiple-kubeconfig-full.png 2x"
        data-sizes="auto"
        alt="/assets/2021/12/multiple-kubeconfig-full.png"
        title="We show you how to manage and work with multiple `kubeconfig` files from the comfort of the Linux CLI." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/zero-to-hero-working-with-multiple-kubeconfig/">Zero To Hero: Working With Multiple Kubeconfig Files</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>Mike 'MJ' Johnson</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-12-08">2021-12-08</time></span></div><a class="content" href="/posts/2021/zero-to-hero-working-with-multiple-kubeconfig/">We show you how to manage and work with multiple `kubeconfig` files from the comfort of the Linux CLI.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/kubeconfig/">kubeconfig</a></li><li><a href="/tags/krew/">krew</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/single-node-rke2-pt2/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/2021/12/single-node-rke2-pt2-full.png"
        data-srcset="/assets/2021/12/single-node-rke2-pt2-full.png, /assets/2021/12/single-node-rke2-pt2-full.png 1.5x, /assets/2021/12/single-node-rke2-pt2-full.png 2x"
        data-sizes="auto"
        alt="/assets/2021/12/single-node-rke2-pt2-full.png"
        title="Part 2 of the cheap single node Kubernetes series. In this blog we deploying Longhorn, Monitoring and Logging on RKE2." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/single-node-rke2-pt2/">Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 2)</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-12-06">2021-12-06</time></span></div><a class="content" href="/posts/2021/single-node-rke2-pt2/">Part 2 of the cheap single node Kubernetes series. In this blog we deploying Longhorn, Monitoring and Logging on RKE2.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/rancher/">rancher</a></li><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/rke2/">rke2</a></li><li><a href="/tags/helm/">helm</a></li><li><a href="/tags/hetzner/">hetzner</a></li><li><a href="/tags/longhorn/">longhorn</a></li><li><a href="/tags/elasticsearch/">elasticsearch</a></li><li><a href="/tags/grafana/">grafana</a></li><li><a href="/tags/kibana/">kibana</a></li><li><a href="/tags/prometheus/">prometheus</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/single-node-k3s/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/single-node-k3s-full.png"
        data-srcset="/assets/single-node-k3s-full.png, /assets/single-node-k3s-full.png 1.5x, /assets/single-node-k3s-full.png 2x"
        data-sizes="auto"
        alt="/assets/single-node-k3s-full.png"
        title="Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/single-node-k3s/">Powerful Single Node K3s on Hetzner for CHEAP!</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-30">2021-11-30</time></span></div><a class="content" href="/posts/2021/single-node-k3s/">Instructions on deploying K3s, Helm, cert-manager and Rancher on a single node Hetzner server.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/rancher/">rancher</a></li><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/k3s/">k3s</a></li><li><a href="/tags/helm/">helm</a></li><li><a href="/tags/hetzner/">hetzner</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/single-node-rke2-pt1/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/single-node-rke2-full.png"
        data-srcset="/assets/single-node-rke2-full.png, /assets/single-node-rke2-full.png 1.5x, /assets/single-node-rke2-full.png 2x"
        data-sizes="auto"
        alt="/assets/single-node-rke2-full.png"
        title="Instructions on deploying RKE2, Helm, cert-manager and Rancher on a single node Hetzner server." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/single-node-rke2-pt1/">Powerful Single Node RKE2 on Hetzner for CHEAP! (Part 1)</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-29">2021-11-29</time></span></div><a class="content" href="/posts/2021/single-node-rke2-pt1/">Instructions on deploying RKE2, Helm, cert-manager and Rancher on a single node Hetzner server.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/rancher/">rancher</a></li><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/rke2/">rke2</a></li><li><a href="/tags/helm/">helm</a></li><li><a href="/tags/hetzner/">hetzner</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/why-we-chose-nifi-over-databrew/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/apache-nifi-full.png"
        data-srcset="/assets/apache-nifi-full.png, /assets/apache-nifi-full.png 1.5x, /assets/apache-nifi-full.png 2x"
        data-sizes="auto"
        alt="/assets/apache-nifi-full.png"
        title="/assets/apache-nifi-full.png" /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/why-we-chose-nifi-over-databrew/">Why We Chose Nifi Over Databrew</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>Ed Engelking</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-22">2021-11-22</time></span></div><a class="content" href="/posts/2021/why-we-chose-nifi-over-databrew/">Why AlphaBravo Chose Nifi Over Databrew Recently, the AlphaBravo engineering team began working on a new product we’re calling ABScan. Our goal is to provide a platform which uses multiple scanning utilities via a single interface.
Early on in our development process, we realized that we would need to take multiple JSON outputs, convert them into CSV and SQL, and merge the results. This would require the use of an ETL to automate the transformation of the data generated so we could create CSV files for reports and SQL data for long term storage.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/apache-nifi/">apache nifi</a></li><li><a href="/tags/aws-databrew/">aws databrew</a></li><li><a href="/tags/etl/">etl</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/rancher-multi-cluster-management-ui/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/rancher-ui-small.png"
        data-srcset="/assets/rancher-ui-small.png, /assets/rancher-ui-small.png 1.5x, /assets/rancher-ui-small.png 2x"
        data-sizes="auto"
        alt="/assets/rancher-ui-small.png"
        title="It doesn&#39;t matter what Kubernetes Engine you use (EKS, AKS, GKE, RKE, K3s, etc), Rancher MCM will help you manage it better." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/rancher-multi-cluster-management-ui/">Rancher Multi-Cluster Management UI</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-17">2021-11-17</time></span></div><a class="content" href="/posts/2021/rancher-multi-cluster-management-ui/">What is Rancher Multi-Cluster Management If you have ventured into container management and Kubernetes for your organization (or even for yourself), you have quickly realized that you need a robust way to manage more than one cluster easily. In fact, you probably want an easier way to manage a single cluster.
The official Kubernetes dashboard is&hellip; sub-optimal. There are a few other open-source options out there, but they lack in many areas.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/rancher/">rancher</a></li><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/rancher-mcm/">rancher mcm</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/why-we-use-rancher/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/2021/11/11-15-ab-uses-rancher-full.png"
        data-srcset="/assets/2021/11/11-15-ab-uses-rancher-full.png, /assets/2021/11/11-15-ab-uses-rancher-full.png 1.5x, /assets/2021/11/11-15-ab-uses-rancher-full.png 2x"
        data-sizes="auto"
        alt="/assets/2021/11/11-15-ab-uses-rancher-full.png"
        title="Some insight into why AlphaBravo uses Rancher technologies to accelerate DevSecOps initiatives internally and for our customers." /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/why-we-use-rancher/">Why We Use Rancher</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>AB Engineering</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-15">2021-11-15</time></span></div><a class="content" href="/posts/2021/why-we-use-rancher/">Some insight into why AlphaBravo uses Rancher technologies to accelerate DevSecOps initiatives internally and for our customers.</a><div class="post-footer"><ul class="post-tags"><li><a href="/tags/rancher/">rancher</a></li><li><a href="/tags/kubernetes/">kubernetes</a></li><li><a href="/tags/rke2/">rke2</a></li><li><a href="/tags/k3s/">k3s</a></li></ul></div>
</article>
<article class="summary" itemscope itemtype="http://schema.org/Article" ><div class="featured-image-preview">
            <a href="/posts/2021/welcome-to-the-blog/"><img
        class="lazyload"
        src="/svg/loading.min.svg"
        data-src="/assets/welcome-small.png"
        data-srcset="/assets/welcome-small.png, /assets/welcome-small.png 1.5x, /assets/welcome-small.png 2x"
        data-sizes="auto"
        alt="/assets/welcome-small.png"
        title="/assets/welcome-small.png" /></a>
        </div><h2 class="single-title" itemprop="name headline">
        <a href="/posts/2021/welcome-to-the-blog/">Welcome To The Blog</a>
    </h2><div class="post-meta"><span class="post-author"><a href="/" title="Author" rel=" author" class="author"><i class="fas fa-user-circle fa-fw"></i>Author</a></span>&nbsp;<span class="post-publish">published on <time datetime="2021-11-15">2021-11-15</time></span></div><a class="content" href="/posts/2021/welcome-to-the-blog/">Welcome To The Blog We are excited to have you here.
As technology enthusiasts with a broad range of experiences, we hope to convey some tales, some tech, and some thoughts around the current state of DevSecOps.
Our focus is mainly on building robust platforms using open-source software. But don&rsquo;t be confused if we talk about non-open source software too. We are a small team and we understand very well that sometimes you need a product or tool that &ldquo;just works&rdquo;.</a><div class="post-footer"></div>
</article>
</div></div></div>
            </main>
            <footer class="footer"><div class="footer-container"><div class="footer-line">AlphaBravo</div><div class="footer-line" itemscope itemtype="http://schema.org/CreativeWork"><i class="far fa-copyright fa-fw"></i><span itemprop="copyrightYear">2021</span><span class="author" itemprop="copyrightHolder">&nbsp;<a href="/"></a></span></div>
</div>
</footer>
        </div>

        <div id="fixed-buttons"><a href="#" id="back-to-top" class="fixed-button" title="Back to Top">
                <i class="fas fa-chevron-up fa-fw"></i>
            </a></div><link rel="stylesheet" href="/lib/fontawesome-free/all.min.css"><link rel="stylesheet" href="/lib/animate/animate.min.css"><link rel="stylesheet" href="/lib/cookieconsent/cookieconsent.min.css"><script src="/lib/autocomplete/autocomplete.min.js"></script><script src="/lib/lunr/lunr.min.js"></script><script src="/lib/lazysizes/lazysizes.min.js"></script><script src="/lib/typeit/typeit.min.js"></script><script src="/lib/cookieconsent/cookieconsent.min.js"></script><script>window.config={"code":{"maxShownLines":100},"cookieconsent":{"content":{"dismiss":"Ok","link":"https://alphabravo.io","message":"We use cookies and open-source, privacy-respecting analytics technologies to improve your browsing experience on our website, to analyze our website traffic, and to understand where our visitors are coming from."},"enable":true,"palette":{"button":{"background":"#f0f0f0"},"popup":{"background":"#1aa3ff"}},"theme":"edgeless"},"data":{"id-1":"Engineering Blog","id-2":"Engineering Blog"},"search":{"highlightTag":"em","lunrIndexURL":"/index.json","maxResultLength":10,"noResultsFound":"No results found","snippetLength":30,"type":"lunr"},"typeit":{"cursorChar":null,"cursorSpeed":null,"data":{"id-1":["id-1"],"id-2":["id-2"]},"duration":null,"speed":null}};</script><script src="/js/theme.min.js"></script><script data-goatcounter="https://stats.alphabravo.io/count" async src="//stats.alphabravo.io/count.js"></script></body></html>
